Index: ether_ndacc/trunk/web/WEB-INF/servlet-context.xml
===================================================================
--- ether_ndacc/trunk/web/WEB-INF/servlet-context.xml	(revision 183)
+++ ether_ndacc/trunk/web/WEB-INF/servlet-context.xml	(revision 204)
@@ -1,13 +1,13 @@
-<?xml version="1.0" encoding="UTF-8"?>
+<?com.medias.xml version="1.0" encoding="UTF-8"?>
 <beans xmlns="http://www.springframework.org/schema/beans"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:aop="http://www.springframework.org/schema/aop"
-	xsi:schemaLocation="
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:aop="http://www.springframework.org/schema/aop"
+       xsi:schemaLocation="
        http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.0.xsd
        http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-2.0.xsd">
 
-	<!-- i18n -->
+    <!-- i18n -->
     <!--<bean id="localeResolver" class="org.springframework.web.servlet.i18n.SessionLocaleResolver"/>-->
     <bean id="localeResolver" class="org.springframework.web.servlet.i18n.CookieLocaleResolver">
-        <property name="defaultLocale" value="fr"/>
+        <property name="defaultLocale" value="en"/>
     </bean>
 
@@ -29,31 +29,40 @@
 
     <!-- Mappings -->
-	<bean id="urlMapping" class="org.springframework.web.servlet.handler.SimpleUrlHandlerMapping">
-		<property name="mappings">
-			<props>
-				<prop key="/station">etherController</prop>
-				<prop key="/instrument">etherController</prop>
-			</props>
-		</property>
-	</bean>
+    <bean id="urlMapping" class="org.springframework.web.servlet.handler.SimpleUrlHandlerMapping">
+        <property name="interceptors">
+            <list>
+                <ref bean="localeChangeInterceptor"/>
+            </list>
+        </property>
 
-	<bean id="viewResolver" class="org.springframework.web.servlet.view.InternalResourceViewResolver">
-		<property name="viewClass" value="org.springframework.web.servlet.view.JstlView" />
-		<property name="prefix" value="/" />
-		<property name="suffix" value=".jsp" />
-	</bean>
+        <property name="mappings">
+            <props>
+                <prop key="/station">controller</prop>
+                <prop key="/instrument">controller</prop>
+            </props>
+        </property>
+    </bean>
 
-	<bean id="myMethodNameResolver" class="org.springframework.web.servlet.mvc.multiaction.ParameterMethodNameResolver">
-		<property name="defaultMethodName" value="home"/>
-		<property name="paramName" value="methodName"/>
-	</bean>
+    <bean id="viewResolver" class="org.springframework.web.servlet.view.InternalResourceViewResolver">
+        <property name="viewClass" value="org.springframework.web.servlet.view.JstlView"/>
+        <property name="prefix" value="/"/>
+        <property name="suffix" value=".jsp"/>
+    </bean>
 
-	<bean id="etherController" class="com.ether.Controller">
-		<property name="methodNameResolver" ref="myMethodNameResolver" />
-		<property name="stationService" ref="stationService" />
-		<property name="instrumentService" ref="instrumentService" />
-		<property name="serviceTools" ref="serviceTools" />
-		<property name="plotService" ref="plotService" />
-	</bean>
+    <bean id="myMethodNameResolver" class="org.springframework.web.servlet.mvc.multiaction.ParameterMethodNameResolver">
+        <property name="defaultMethodName" value="home"/>
+        <property name="paramName" value="methodName"/>
+    </bean>
+
+    <bean id="controllerEther" class="com.ether.ControllerEther">
+        <property name="methodNameResolver" ref="myMethodNameResolver"/>
+    </bean>
+
+    <bean id="controller" class="com.ether.Controller" parent="controllerEther">
+        <property name="stationService" ref="stationService"/>
+        <property name="instrumentService" ref="instrumentService"/>
+        <property name="serviceTools" ref="serviceTools"/>
+        <property name="plotService" ref="plotService"/>
+    </bean>
 
 </beans>