Index: her_megapoli/trunk/web/data/access/navDatas.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/access/navDatas.jsp	(revision 252)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<%@ page language="java" contentType="text/html; charset=UTF-8"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
-<!-- barre dÃ©crivant la position de la page dans l'arborescence du site -->
-<ul>
-<li><html:link page="/index.jsp"><bean:message key="app.home"/></html:link></li>
-<%--li><html:link page="/data/data.jsp"><bean:message key="data"/></html:link></li--%>
-<li><html:link page="/data/access/extract.jsp"><bean:message key="data.access.extract"/></html:link></li>
-</ul>
Index: /ether_megapoli/trunk/web/data/dataResume.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/dataResume.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/dataResume.jsp	(revision 253)
@@ -24,25 +24,8 @@
 
         <bean:message key="data.access.intro4"/>
+
         <ul>
-            <li>
-                <logic:notPresent name="SES_USER" scope="session">
-                    <html:link page="/InitLogonAccess.do" paramName="access" paramId="source"><bean:message
-                            key="data.access.extract"/></html:link>
-                </logic:notPresent>
-                <logic:present name="SES_USER" scope="session">
-                    <html:link page="/DataAccess.do"><bean:message key="data.access.extract"/></html:link>
-                </logic:present>
-                : <bean:message key="data.access.intro2"/>
-            </li>
-            <li>
-                <logic:notPresent name="SES_USER" scope="session">
-                    <html:link page="/InitLogonAccess.do" paramName="upload" paramId="source"><bean:message
-                            key="data.upload"/></html:link>
-                </logic:notPresent>
-                <logic:present name="SES_USER" scope="session">
-                    <html:link page="/PrepareTree.do"><bean:message key="data.upload"/></html:link>
-                </logic:present>
-                : <bean:message key="data.upload.intro"/>
-            </li>
+            <li><bean:message key="data.access.extract"/> : <bean:message key="data.access.intro2"/></li>
+            <li><bean:message key="data.upload"/> : <bean:message key="data.upload.intro"/></li>
         </ul>
     </tiles:put>
Index: /ether_megapoli/trunk/web/data/desc_parameter.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/desc_parameter.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/desc_parameter.jsp	(revision 253)
@@ -15,5 +15,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewParameters"><bean:message key="data.access.param"/></html:link>
+        <html:link page="/ParametresAccess.do"><bean:message key="data.access.param"/></html:link>
     </tiles:put>
 
@@ -185,5 +185,5 @@
 		</table>
         <div class="hdp" align="right">
-            <html:link page="/data?methodName=viewDescParameter" anchor="top" titleKey="app.hdp">
+            <html:link href="#top" titleKey="app.hdp">
                 <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
             </html:link>
Index: /ether_megapoli/trunk/web/data/desc_plateform.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/desc_plateform.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/desc_plateform.jsp	(revision 253)
@@ -16,5 +16,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewPlateforms"><bean:message key="data.access.plat"/></html:link>
+        <html:link page="/PlateformesAccess.do"><bean:message key="data.access.plat"/></html:link>
     </tiles:put>
 
@@ -248,5 +248,5 @@
 
         <div class="hdp" align="right">
-            <html:link page="/data?methodName=viewDescPlateform" anchor="top" titleKey="app.hdp">
+            <html:link href="#top" titleKey="app.hdp">
                 <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
             </html:link>
Index: /ether_megapoli/trunk/web/data/desc_sensor.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/desc_sensor.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/desc_sensor.jsp	(revision 253)
@@ -16,5 +16,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewSensors"><bean:message key="data.access.capt"/></html:link>
+        <html:link page="/CapteursAccess.do"><bean:message key="data.access.capt"/></html:link>
     </tiles:put>
 
@@ -189,5 +189,5 @@
 
         <div class="hdp" align="right">
-            <html:link page="/data?methodName=viewDescSensor" anchor="top" titleKey="app.hdp">
+            <html:link href="#top" titleKey="app.hdp">
                 <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
             </html:link>
Index: /ether_megapoli/trunk/web/data/jeux.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/jeux.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/jeux.jsp	(revision 253)
@@ -17,5 +17,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewSets"><bean:message key="data.access.jeux"/></html:link>
+        <html:link page="/JeuxAccess.do"><bean:message key="data.access.jeux"/></html:link>
     </tiles:put>
 
@@ -26,6 +26,5 @@
     <div id="errors"><html:errors/></div>
     <div id="messages">
-        <html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>"
-                       message="true">
+        <html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
             <bean:write name="mess"/>
         </html:messages>
@@ -272,5 +271,5 @@
 
     <div class="hdp" align="right">
-        <html:link page="/data?methodName=viewSets" anchor="top" titleKey="app.hdp">
+        <html:link href="#top" titleKey="app.hdp">
             <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
         </html:link>
Index: /ether_megapoli/trunk/web/data/metadataInfo.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/metadataInfo.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/metadataInfo.jsp	(revision 253)
@@ -16,5 +16,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewSets"><bean:message key="data.access.jeux"/></html:link>
+        <html:link page="/JeuxAccess.do"><bean:message key="data.access.jeux"/></html:link>
     </tiles:put>
 
@@ -69,5 +69,5 @@
     </nested:nest>
     <div class="hdp" align="right">
-        <html:link page="/data?methodName=viewMetadataInfo" anchor="top" titleKey="app.hdp">
+        <html:link href="#top" titleKey="app.hdp">
             <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
         </html:link>
@@ -296,5 +296,5 @@
     </nested:nest>
     <div class="hdp" align="right">
-        <html:link page="/data?methodName=viewMetadataInfo" anchor="top" titleKey="app.hdp">
+        <html:link href="#top" titleKey="app.hdp">
             <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
         </html:link>
@@ -373,5 +373,5 @@
             </table>
             <div class="hdp" align="right">
-                <html:link page="/data?methodName=viewMetadataInfo" anchor="top" titleKey="app.hdp">
+                <html:link href="#top" titleKey="app.hdp">
                     <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
                 </html:link>
@@ -425,5 +425,5 @@
             </table>
             <div class="hdp" align="right">
-                <html:link page="/data?methodName=viewMetadataInfo" anchor="top" titleKey="app.hdp">
+                <html:link href="#top" titleKey="app.hdp">
                     <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
                 </html:link>
@@ -502,5 +502,5 @@
     </div>
     <div class="hdp" align="right">
-        <html:link page="/data?methodName=viewMetadataInfo" anchor="top" titleKey="app.hdp">
+        <html:link href="#top" titleKey="app.hdp">
             <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
         </html:link>
@@ -592,5 +592,5 @@
         </nested:nest>
         <div class="hdp" align="right">
-            <html:link page="/data?methodName=viewMetadataInfo" anchor="top" titleKey="app.hdp">
+            <html:link href="#top" titleKey="app.hdp">
                 <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
             </html:link>
Index: /ether_megapoli/trunk/web/data/parameter.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/parameter.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/parameter.jsp	(revision 253)
@@ -17,5 +17,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewParameters"><bean:message key="data.access.param"/></html:link>
+        <html:link page="/ParametresAccess.do"><bean:message key="data.access.param"/></html:link>
     </tiles:put>
 
@@ -79,5 +79,5 @@
 
             <div class="hdp" align="right">
-                <html:link page="/data?methodName=viewParameters" anchor="top" titleKey="app.hdp">
+                <html:link href="#top" titleKey="app.hdp">
                     <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
                 </html:link>
Index: /ether_megapoli/trunk/web/data/plateform.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/plateform.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/plateform.jsp	(revision 253)
@@ -17,5 +17,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewPlateforms"><bean:message key="data.access.plat"/></html:link>
+        <html:link page="/PlateformesAccess.do"><bean:message key="data.access.plat"/></html:link>
     </tiles:put>
 
@@ -113,5 +113,5 @@
 
             <div class="hdp" align="right">
-                <html:link page="/data?methodName=viewPlateforms" anchor="top" titleKey="app.hdp">
+                <html:link href="#top" titleKey="app.hdp">
                     <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
                 </html:link>
Index: /ether_megapoli/trunk/web/data/sensor.jsp
===================================================================
--- /ether_megapoli/trunk/web/data/sensor.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/data/sensor.jsp	(revision 253)
@@ -17,5 +17,5 @@
         <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
         <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
-        <html:link page="/data?methodName=viewSensors"><bean:message key="data.access.capt"/></html:link>
+        <html:link page="/CapteursAccess.do"><bean:message key="data.access.capt"/></html:link>
     </tiles:put>
 
@@ -92,5 +92,5 @@
 	
         <div class="hdp" align="right">
-            <html:link page="/data?methodName=viewSensors" anchor="top" titleKey="app.hdp">
+            <html:link href="#top" titleKey="app.hdp">
                 <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
             </html:link>
Index: /ether_megapoli/trunk/web/project/login.jsp
===================================================================
--- /ether_megapoli/trunk/web/project/login.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/project/login.jsp	(revision 253)
@@ -22,34 +22,12 @@
     <tiles:put name="body" type="string">
         <bean:message key="data.authentification.intro"/>
-        <div id="errors" class="containerErrors"><html:errors/></div>
 
         <script type="text/javascript">
-            window.onload=function(){
+            window.onload = function()
+            {
                 $( "fieldset#signin_menu" ).toggle();
                 $( ".signin" ).toggleClass( "menu-open" );
             }
         </script>
-
-<%--        <div id="login">
-            <html:form action="/LogonAccess">
-                <table>
-                    <tr>
-                        <td><bean:message key="data.authentification.login"/> :</td>
-                        <td><html:text property="login"/></td>
-                    </tr>
-                    <tr>
-                        <td><bean:message key="data.authentification.pwd"/> :</td>
-                        <td><html:password property="pwd"/></td>
-                    </tr>
-                    <tr>
-                        <td>&nbsp;</td>
-                        <td align="right">
-                            <html:submit><bean:message key="app.submit"/></html:submit>
-                            <html:cancel><bean:message key="app.cancel"/></html:cancel>
-                        </td>
-                    </tr>
-                </table>
-            </html:form>
-        </div>--%>
     </tiles:put>
 </tiles:insert>
Index: /ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp
===================================================================
--- /ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp	(revision 253)
@@ -9,4 +9,5 @@
         this.containerTitle = $( "#title" );
         this.containerTools = $( "#tools" );
+        this.containerMenuData = $( "#menuData" );
 
         /** *********** VARIABLES *********** **/
@@ -22,4 +23,5 @@
         this.createTitle();
         this.createTools();
+        this.createMenuData();
         this.createLeftSlides();
     },
@@ -168,4 +170,34 @@
     },
 
+    createMenuData: function()
+    {
+        this.containerMenuData.empty();
+
+        var ulData = $( document.createElement( "ul" ) );
+        this.containerMenuData.append( ulData );
+
+        var liExtract = $( document.createElement( "li" ) );
+        var aExtract = $( document.createElement( "a" ) );
+        aExtract.html( "<span>" + templateTexts["data.access.extract.short"] + "</span>" );
+        liExtract.append( aExtract );
+        ulData.append( liExtract );
+        var liDownload = $( document.createElement( "li" ) );
+        var aDownload = $( document.createElement( "a" ) );
+        aDownload.html( "<span>" + templateTexts["data.upload.short"] + "</span>" );
+        liDownload.append( aDownload );
+        ulData.append( liDownload );
+
+        if( getJSONUser() )
+        {
+            aExtract.attr( {href:"DataAccess.do"} );
+            aDownload.attr( {href:"PrepareTree.do"} );
+        }
+        else
+        {
+            aExtract.attr( {href:"project?methodName=viewLogin"} );
+            aDownload.attr( {href:"project?methodName=viewLogin"} );
+        }
+    },
+
     createLeftSlides: function()
     {
@@ -206,5 +238,5 @@
         setJSONUser( null != jQuery.parseJSON( result ).jSONPeople ? jQuery.parseJSON( result ).jSONPeople : false );
         if( null == this.errors )
-            this.hideLogin();
+            this.updateLogin();
         else
             displayLoginErrors( templateTexts[this.errors] );
@@ -217,5 +249,5 @@
         {
             setJSONUser( false );
-            this.hideLogin();
+            this.updateLogin();
         }
         else
@@ -272,8 +304,9 @@
     },
 
-    hideLogin: function()
+    updateLogin: function()
     {
         this.containerTools.empty();
         this.createTools();
+        this.createMenuData();
     }
 } );
Index: /ether_megapoli/trunk/web/resources/templates/templateMegapoli.jsp
===================================================================
--- /ether_megapoli/trunk/web/resources/templates/templateMegapoli.jsp	(revision 252)
+++ /ether_megapoli/trunk/web/resources/templates/templateMegapoli.jsp	(revision 253)
@@ -100,16 +100,5 @@
                     <span><bean:message key="app.data"/></span>
                 </html:link>
-                <div>
-                    <ul>
-                        <logic:notPresent name="SES_USER" scope="session">
-                            <li><html:link page="/InitLogonAccess.do" paramName="access" paramId="source"><span><bean:message key="data.access.extract.short"/></span></html:link></li>
-                            <li><html:link page="/InitLogonAccess.do" paramName="upload" paramId="source"><span><bean:message key="data.upload.short"/></span></html:link></li>
-                        </logic:notPresent>
-                        <logic:present name="SES_USER" scope="session">
-                            <li><html:link page="/DataAccess.do"><span><bean:message key="data.access.extract.short"/></span></html:link></li>
-                            <li><html:link page="/PrepareTree.do"><span><bean:message key="data.upload.short"/></span></html:link></li>
-                        </logic:present>
-                    </ul>
-                </div>
+                <div id="menuData"></div>
             </li>
 
@@ -172,4 +161,6 @@
     templateTexts["data.authentification"] = "<bean:message key="data.authentification"/>";
     templateTexts["data.authentification.text"] = "<bean:message key="data.authentification.text"/>";
+    templateTexts["data.access.extract.short"] = '<bean:message key="data.access.extract.short"/>';
+    templateTexts["data.upload.short"] = '<bean:message key="data.upload.short"/>';
 
     var interfaceTemplate = new InterfaceTemplate();