Index: ether_megapoli/trunk/web/data/newSet.jsp
===================================================================
--- ether_megapoli/trunk/web/data/newSet.jsp	(revision 262)
+++ ether_megapoli/trunk/web/data/newSet.jsp	(revision 263)
@@ -82,6 +82,6 @@
 										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(persId.intValue())%>"/>
 										<bean:define id="numPers" value='<%=""+(((Integer)persId).intValue()+1)%>'/>
-										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
-										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
+										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pairTable"/></logic:equal>
+										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impairTable"/></logic:equal>
 										<table class="${idP}">
 											<tr>
@@ -138,5 +138,5 @@
 					<div class="legende">* <bean:message key="app.mandatory"/></div>
 				
-					<div class="submit">
+					<div class="submit" align="right">
 						<html:submit property="mess[0]"><bean:message key="app.submit"/></html:submit>
 						<html:cancel><bean:message key="app.cancel"/></html:cancel>
Index: ether_megapoli/trunk/web/data/upload/files.jsp
===================================================================
--- ether_megapoli/trunk/web/data/upload/files.jsp	(revision 262)
+++ ether_megapoli/trunk/web/data/upload/files.jsp	(revision 263)
@@ -11,139 +11,219 @@
 	<html:form action="/ConfirmDeletion">
 		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/AMS_LAMP_20090713_ATR42_Vol28.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">AMS_LAMP_20090713_ATR42_Vol28.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="AMS-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/AMS-ATR42/AMS_LAMP_20090713_ATR42_Vol28.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/AMS_LAMP_20090715_ATR42_Vol29.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">AMS_LAMP_20090715_ATR42_Vol29.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="AMS-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/AMS-ATR42/AMS_LAMP_20090715_ATR42_Vol29.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/AMS_LAMP_20090716_ATR42_Vol30.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">AMS_LAMP_20090716_ATR42_Vol30.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="AMS-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/AMS-ATR42/AMS_LAMP_20090716_ATR42_Vol30.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/AMS_LAMP_20090720_ATR42_Vol31.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">AMS_LAMP_20090720_ATR42_Vol31.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="AMS-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/AMS-ATR42/AMS_LAMP_20090720_ATR42_Vol31.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/AMS_LAMP_20090725_ATR42_Vol33.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">AMS_LAMP_20090725_ATR42_Vol33.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="AMS-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/AMS-ATR42/AMS_LAMP_20090725_ATR42_Vol33.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/AMS_LAMP_20090728_ATR42_Vol35.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">AMS_LAMP_20090728_ATR42_Vol35.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="AMS-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/AMS-ATR42/AMS_LAMP_20090728_ATR42_Vol35.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/AMS_LAMP_20090729_ATR42_Vol36.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">AMS_LAMP_20090729_ATR42_Vol36.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="AMS-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/AMS-ATR42/AMS_LAMP_20090729_ATR42_Vol36.txt"/>
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR25_20090701_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR25_20090701_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR25_20090701_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR26_20090709_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR26_20090709_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR26_20090709_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR27_20090710_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR27_20090710_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR27_20090710_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR28_20090713_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR28_20090713_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR28_20090713_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR29_20090715_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR29_20090715_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR29_20090715_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR30_20090716_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR30_20090716_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR30_20090716_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR31_20090720_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR31_20090720_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR31_20090720_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR32_20090721_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR32_20090721_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR32_20090721_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR33_20090725_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR33_20090725_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR33_20090725_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR35_20090728_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR35_20090728_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR35_20090728_V1.txt"/>
+			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
+		</logic:equal>
+	</html:form>
+	<html:form action="/ConfirmDeletion">
+		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
+		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR36_20090729_V1.txt"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR36_20090729_V1.txt
+		</html:link>&nbsp;
+		<bean:define id="modify" value="false"/>
+		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
+			<logic:equal name="jeu" value="Nephelometer-ATR42">
+				<bean:define id="modify" value="true"/>	
+			</logic:equal>
+		</logic:iterate>
+		<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
+			<bean:define id="modify" value="true"/>
+		</logic:equal>
+		<logic:equal name="modify" value="true">
+			&nbsp;
+			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR36_20090729_V1.txt"/>
 			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
 		</logic:equal>
Index: ether_megapoli/trunk/web/resources/css/megapoli.css
===================================================================
--- ether_megapoli/trunk/web/resources/css/megapoli.css	(revision 262)
+++ ether_megapoli/trunk/web/resources/css/megapoli.css	(revision 263)
@@ -5,5 +5,5 @@
     color: #165076;
     font-weight: bold;
-    font-size:15px;
+    font-size: 15px;
 }
 
@@ -139,4 +139,5 @@
     -webkit-border-radius: 0; /*#E8EFF3*//* #618EAC*/
     background: -moz-linear-gradient(white, #E8EFF3);
+    background: -webkit-linear-gradient(white, #E8EFF3);
     min-height: 400px;
     text-align: justify;
@@ -242,4 +243,16 @@
 }
 
+#slideContentCredits {
+    width: 700px;
+}
+
+#slideContentMentions {
+    width: 300px;
+}
+
+#slideContentInfos {
+    width: 550px;
+}
+
 /** ***************************************************** **/
 /** ************************ OTHER ********************** **/
@@ -340,9 +353,9 @@
 }
 
-table .pair, table .pair:hover {
+table .pair, table .pairTable {
     background-color: #F5F3EC;
 }
 
-table .impair, table .impair:hover {
+table .impair, table .impairTable {
     background-color: #FFFDF6;
 }
Index: ether_megapoli/trunk/web/resources/js/classesForJQuery/Slide.js
===================================================================
--- ether_megapoli/trunk/web/resources/js/classesForJQuery/Slide.js	(revision 262)
+++ ether_megapoli/trunk/web/resources/js/classesForJQuery/Slide.js	(revision 263)
@@ -18,5 +18,5 @@
         this.specificContentClass = objectParameter.specificContentClass ? objectParameter.specificContentClass : false;
         this.specificButtonClass = objectParameter.specificButtonClass ? objectParameter.specificButtonClass : false;
-        this.timeToSlide = objectParameter.timeToSlide ? objectParameter.timeToSlide : 500;
+        this.timeToSlide = objectParameter.timeToSlide ? objectParameter.timeToSlide : 1000;
         this.contentSlide = objectParameter.contentSlide ? objectParameter.contentSlide : false;
         this.contentPageSlide = objectParameter.contentPageSlide ? objectParameter.contentPageSlide : false;
Index: ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp
===================================================================
--- ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp	(revision 262)
+++ ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp	(revision 263)
@@ -207,7 +207,7 @@
         var contentSlideInfos = "resources/jsp/informations_fr.jsp";
 
-        var contentButtonCredits = "<button class='big_blue_button' title='"+templateTexts["app.credits"]+"'><div class='big_blue_button_text'>C</div></button>";
-        var contentButtonMentions = "<button class='big_blue_button' title='"+templateTexts["app.mentions"]+"'><div class='big_blue_button_text'>M</div></button>";
-        var contentButtonInfos = "<button class='big_blue_button' title='"+templateTexts["app.infos"]+"'><div class='big_blue_button_text'>I</div></button>";
+        var contentButtonCredits = "<button class='big_blue_button' title='" + templateTexts["app.credits"] + "'><div class='big_blue_button_text'>C</div></button>";
+        var contentButtonMentions = "<button class='big_blue_button' title='" + templateTexts["app.mentions"] + "'><div class='big_blue_button_text'>M</div></button>";
+        var contentButtonInfos = "<button class='big_blue_button' title='" + templateTexts["app.infos"] + "'><div class='big_blue_button_text'>I</div></button>";
 
         if( !this.isLanguageFr )