Index: ether_megapoli/trunk/web/project/introduction.jsp
===================================================================
--- ether_megapoli/trunk/web/project/introduction.jsp	(revision 259)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page language="java" contentType="text/html; charset=UTF-8"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
-
-<tiles:insert page="/resources/templates/template.jsp" flush="true">
-
-	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
-
-	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>
-
-	<tiles:put name="title" type="string">
-		<bean:message key="app.title"/> - <bean:message key="projet"/>
-	</tiles:put>
-
-	<tiles:put name="bodytitle" type="string">
-		<bean:message key="projet.intro.title"/>
-	</tiles:put>
-
-	<tiles:put name="body" type="string">
-
-	<%--p>Depuis les ann<bean:message key="accent1"/>es 1980 est apparue la notion de
-	<B>m<bean:message key="accent1"/>t<bean:message key="accent1"/>orologie urbaine</B> qui se caract<bean:message key="accent1"/>rise principalement, en 
-	comparaison avec la m<bean:message key="accent1"/>t<bean:message key="accent1"/>orologie des zones rurales, par l'apparition d'un 
-	<B><bean:message key="accent4"/>lot de chaleur urbain</B> (Fig. 1) en cas de condition anticyclonique. La ville 
-	est alors <B>plus chaude</B> que les zones rurales qui l'entourent. Cette 
-	originalit<bean:message key="accent1"/> de la m<bean:message key="accent1"/>t<bean:message key="accent1"/>o des villes par rapport &agrave; 
-	la m<bean:message key="accent1"/>t<bean:message key="accent1"/>o des champs a <bean:message key="accent1"/>galement des cons<bean:message key="accent1"/>quences sur le 
-	transport et la diffusion des <B>a<bean:message key="accent1"/>rosols</B> pr<bean:message key="accent1"/>sents dans 
-	l'atmosph<bean:message key="accent3"/>re, dont l'impact sur <B>l'effet de serre</B> est important mais doit 
-	&ecirc;tre mieux quantifi<bean:message key="accent1"/>. Les <bean:message key="accent1"/>coulements atmosph<bean:message key="accent1"/>riques 
-	cr<bean:message key="accent1"/><bean:message key="accent1"/>s par la ville sont aussi d'importance lors de rejets accidentels - la 
-	catastrophe du 21 septembre 2001 est encore dans toutes les m<bean:message key="accent1"/>moires.</p>
-
-	<p>En France, comme dans la plupart des pays
-	industrialis<bean:message key="accent1"/>s, une grande majorit<bean:message key="accent1"/> de la population est concentr<bean:message key="accent1"/>e 
-	dans les villes. Il est n<bean:message key="accent1"/>cessaire d'am<bean:message key="accent1"/>liorer la connaissance et la 
-	pr<bean:message key="accent1"/>vision du climat &agrave; l'int<bean:message key="accent1"/>rieur des villes. C'est pour <B>valider</B>
-	 les mod<bean:message key="accent3"/>les num<bean:message key="accent1"/>riques de pr<bean:message key="accent1"/>vision du temps d<bean:message key="accent1"/>di<bean:message key="accent1"/>s aux
-	  zones urbaines qu'est mis en place le vaste programme de mesures 
-	  m<bean:message key="accent1"/>t<bean:message key="accent1"/>orologiques <B>MEGAPOLI.</B></p>
-
-	<center><img src="../images/megapoli/Image103.jpg"></center><br>
-	<p class="legende">Figure 1&nbsp;: Repr<bean:message key="accent1"/>sentation des lignes isothermes entre
-	la ville et sa banlieue</p--%>
-	
-	</tiles:put>
-</tiles:insert>
-	
Index: ether_megapoli/trunk/web/project/login.jsp
===================================================================
--- ether_megapoli/trunk/web/project/login.jsp	(revision 259)
+++ ether_megapoli/trunk/web/project/login.jsp	(revision 281)
@@ -26,5 +26,5 @@
             window.onload = function()
             {
-                showLogin( "<bean:message key="data.authentification.text"/>" );
+                getLoginModule().showLogin( "<bean:message key="data.authentification.text"/>" );
             }
         </script>
Index: ether_megapoli/trunk/web/project/mesures.jsp
===================================================================
--- ether_megapoli/trunk/web/project/mesures.jsp	(revision 259)
+++ 	(revision )
@@ -1,118 +1,0 @@
-<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page language="java" contentType="text/html; charset=UTF-8"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
-
-
-<tiles:insert page="/resources/templates/template.jsp" flush="true">
-
-	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
-
-	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>
-
-	<tiles:put name="title" type="string">
-		<bean:message key="app.title"/> - <bean:message key="projet.mesures"/>
-	</tiles:put>
-
-	<tiles:put name="bodytitle" type="string">
-		<bean:message key="projet.mesures.title"/>
-	</tiles:put>
-
-	<tiles:put name="body" type="string">
-	<%--p align="justify">Un dispositif de mesures &quot;&nbsp;permanentes&nbsp;&quot; 
-	fonctionnera de mars 2004 <bean:message key="accent2"/> mars 2005. Il comprend&nbsp;:</p>
-	<table width="100%">
-		<tr>
-			<td><img src="../images/megapoli/Image106.jpg"></td>
-			<td align="justify">
-				Un appareillage de mesure des <bean:message key="accent1"/>changes d'<bean:message key="accent1"/>nergie entre la ville et 
-				l'atmosph<bean:message key="accent3"/>re. <B>Le coeur du dispositif est un</B> <B>m&acirc;t de 30 
-				m<bean:message key="accent3"/>tres</B> <bean:message key="accent1"/>quip<bean:message key="accent1"/> de moyens de mesures m<bean:message key="accent1"/>t<bean:message key="accent1"/>o et 
-				install<bean:message key="accent1"/> en centre-ville jusqu'en mars 2005. Des mesures des a<bean:message key="accent1"/>rosols 
-				<bean:message key="accent1"/>mis depuis les rues vers l'atmosph<bean:message key="accent3"/>re seront aussi faites sur ce 
-				m&acirc;t.
-			</td>
-		</tr>
-	</table>
-	<table width="100%">
-		<tr>
-			<td><img src="../images/megapoli/Image107.jpg"></td>
-			<td align="justify">
- 				Un <B>r<bean:message key="accent1"/>seau d'enregistreurs de temp<bean:message key="accent1"/>rature et d'humidit<bean:message key="accent1"/>
- 				</B> r<bean:message key="accent1"/>parti sur toute l'agglom<bean:message key="accent1"/>ration, et destin<bean:message key="accent1"/> 
- 				<bean:message key="accent2"/> cartographier l'<bean:message key="accent4"/>lot urbain de chaleur. Des mesures 
- 				d'a<bean:message key="accent1"/>rosols sont effectu<bean:message key="accent1"/>es en collaboration avec l'ORAMIP et le 
- 				laboratoire d'A<bean:message key="accent1"/>rologie du CNRS-UPS.
- 			</td>
-		</tr>
-	</table>
-	<table width="100%">
-		<tr>
-			<td><img src="../images/megapoli/Image108.jpg"></td>
-			<td>
- 				Des <B>mesures de vent en altitude par radar</B>, en ville et en zone 
- 				p<bean:message key="accent1"/>ri-urbaine.
- 			</td>
-		</tr>
-	</table>
-	<table width="100%">
-		<tr>
-			<td><img src="../images/megapoli/Image109.jpg"></td>
-			<td>
- 				Un site de <B>mesures d'a<bean:message key="accent1"/>rosols</B> en centre-ville, proche du 
- 				m&acirc;t, pour <bean:message key="accent1"/>tudier leurs composition chimique et 
- 				propri<bean:message key="accent1"/>t<bean:message key="accent1"/>s physiques (taille, nombre, influence sur la 
- 				lumi<bean:message key="accent3"/>re).
- 			</td>
-		</tr>
-	</table>
-	<table width="100%">
-		<tr>
-			<td><img src="../images/megapoli/Image110.jpg"></td>
-			<td>
-				Plusieurs <B>stations rurales, fortement instrument<bean:message key="accent1"/>es</B>, et 
-				install<bean:message key="accent1"/>es <bean:message key="accent2"/> une trentaine de kilom<bean:message key="accent3"/>tres de la ville, 
-				serviront de r<bean:message key="accent1"/>f<bean:message key="accent1"/>rence pour mettre en <bean:message key="accent1"/>vidence la 
-				sp<bean:message key="accent1"/>cificit<bean:message key="accent1"/> urbaine.
-			</td>
-		</tr>
-	</table>
-	<br>
-				                                                                                                                  
-	<p align="justify">Pour quelques situations m<bean:message key="accent1"/>t<bean:message key="accent1"/>orologiques 
-	particuli<bean:message key="accent3"/>rement int<bean:message key="accent1"/>ressantes (de type anticyclonique)&nbsp;:</p>
-	
-	<table width="100%">
-		<tr>
-			<td><img src="../images/megapoli/Image111.jpg"></td>
-			<td>
-				Des <B>ballons-sonde m<bean:message key="accent1"/>t<bean:message key="accent1"/>o-rologiques</B> seront 
-				l&acirc;ch<bean:message key="accent1"/>s depuis la ville et la campagne pendant quelques 
-				journ<bean:message key="accent1"/>es dites d'<B>observation intensive</B> (une quinzaine de jours 
-				sur toute la dur<bean:message key="accent1"/>e de l'exp<bean:message key="accent1"/>rience). Au cours de ces 
-				journ<bean:message key="accent1"/>es, les l&acirc;chers auront lieu 5 fois par jour (1h00, 6h00, 
-				10h00, 14h00, 19h00 heure locale).
-			</td>
-		</tr>
-	</table>
-	<table width="100%">
-		<tr>
-			<td><img src="../images/megapoli/Image112.gif"></td>
-			<td>
-				Un <B>avion</B> du centre de recherches de M<bean:message key="accent1"/>t<bean:message key="accent1"/>o-France, 
-				bas<bean:message key="accent1"/> <bean:message key="accent2"/> Francazal, survolera l'agglom<bean:message key="accent1"/>ration pour 
-				documenter en altitude les effets de la ville. Ces vols auront lieu les 
-				m&ecirc;mes journ<bean:message key="accent1"/>es que les l&acirc;chers de ballons-sonde. L'avion 
-				volera entre 300 m<bean:message key="accent3"/>tres et 3000 m<bean:message key="accent3"/>tres.
-			</td>
-		</tr>
-	</table>
-	<br><br>
-	<center><img src="../images/megapoli/Image113.jpg"></center><br>
-	<p class="legende"><i>Figure 4&nbsp;: le dispositif de l'exp<bean:message key="accent1"/>rience scientifique 
-	MEGAPOLI</i></p--%>
-	</tiles:put>
-</tiles:insert>
-	
Index: ether_megapoli/trunk/web/project/nav.jsp
===================================================================
--- ether_megapoli/trunk/web/project/nav.jsp	(revision 259)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<%@ page language="java" contentType="text/html; charset=UTF-8"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
-<!-- barre dÃ©crivant la position de la page dans l'arborescence du site -->
-<html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&gt;
-<html:link page="/projet/projet.jsp"><bean:message key="projet"/></html:link>&gt;
Index: ether_megapoli/trunk/web/project/objectifs.jsp
===================================================================
--- ether_megapoli/trunk/web/project/objectifs.jsp	(revision 259)
+++ 	(revision )
@@ -1,74 +1,0 @@
-<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page language="java" contentType="text/html; charset=UTF-8"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
-
-<tiles:insert page="/resources/templates/template.jsp" flush="true">
-
-	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
-
-	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>
-
-
-	<tiles:put name="title" type="string">
-		<bean:message key="app.title"/> - <bean:message key="projet.objectifs"/>
-	</tiles:put>
-
-	<tiles:put name="bodytitle" type="string">
-		<bean:message key="projet.objectifs.title"/>
-	</tiles:put>
-
-	<tiles:put name="body" type="string">
-		<%--p align="justify">MEGAPOLI est un projet d'<bean:message key="accent1"/>tude coupl<bean:message key="accent1"/>e 
-		de l'atmosph<bean:message key="accent3"/>re urbaine et de la formation/transformation des a<bean:message key="accent1"/>rosols 
-		urbains, avec une campagne de mesures pr<bean:message key="accent1"/>vue dans la r<bean:message key="accent1"/>gion toulousaine 
-		entre <B>mars 2004</B> et <B>mars 2005</B>. Les principaux objectifs 
-		exp<bean:message key="accent1"/>rimentaux de MEGAPOLI sont&nbsp;les suivants&nbsp;:</P>                                                                                                                      
-		<ul>
-			<li><bean:message key="accent1"/>tudier les <B><bean:message key="accent1"/>changes d'<bean:message key="accent1"/>nergie</B> entre la surface 
-			urbaine et l'atmosph<bean:message key="accent3"/>re pour des <B>conditions m<bean:message key="accent1"/>t<bean:message key="accent1"/>orologiques
-			 vari<bean:message key="accent1"/>es</B>&nbsp;: conditions estivales et hivernales, pluies, averses, 
-			 vent, impact des sources de chaleur urbaines (chauffage, consommations 
-			 d'<bean:message key="accent1"/>nergie diverses)&nbsp;; ces <bean:message key="accent1"/>changes d'<bean:message key="accent1"/>nergie sont 
-			 <bean:message key="accent2"/> la<B> source</B> des effets m<bean:message key="accent1"/>t<bean:message key="accent1"/>orologiques urbains&nbsp;;
-			 </li>
-                                                                                                                                               
-			<li>observer <B>l'impact de la ville</B> sur l'<B><bean:message key="accent1"/>coulement</B> de l'air 
-			au-dessus d'elle (de 0 <bean:message key="accent2"/> 1 km d'altitude)&nbsp;: <bean:message key="accent4"/>lot de chaleur 
-			urbain (Fig. 1), d<bean:message key="accent5"/>me urbain (Fig. 2), brise urbaine (Fig. 2), 
-			panache urbain (Fig. 3), effet sur le brouillard&nbsp;;</li>
-                                                                                                                                               
-			<li>caract<bean:message key="accent1"/>riser la <B>formation</B> et la <B>transformation</B> de 
-			l'<B>a<bean:message key="accent1"/>rosol urbain </B>(particules en suspension dans l'atmosph<bean:message key="accent3"/>re),
-			 des zones d'<bean:message key="accent1"/>missions jusqu'aux zones r<bean:message key="accent1"/>ceptrices <bean:message key="accent2"/> courtes
-			  (1km) et moyennes (50km) distances&nbsp;;</li>
-                                                                                                                                               
-			<li><bean:message key="accent1"/>tudier la <B>dispersion</B> <bean:message key="accent2"/> courte distance d'une 
-			<B>simulation de rejet industriel</B> par un exercice de l&acirc;cher de traceurs 
-			(gaz inertes) pour qualifier un syst<bean:message key="accent3"/>me de mod<bean:message key="accent1"/>lisation.</li>
-		</ul>
-		
-	<p align="justify">MEGAPOLI est un programme <B>innovant</B>. En effet, 
-	notre connaissance actuelle de la m<bean:message key="accent1"/>t<bean:message key="accent1"/>orologie urbaine est le fruit 
-	d'<bean:message key="accent1"/>tudes conduites dans les ann<bean:message key="accent1"/>es pass<bean:message key="accent1"/>es sur quelques grandes 
-	agglom<bean:message key="accent1"/>rations dans le monde, mais principalement en p<bean:message key="accent1"/>riode estivale et 
-	sur des p<bean:message key="accent1"/>riodes de quelques semaines au plus.</p>
-
-	<center><img src="../images/megapoli/Image103.jpg"></center><br>
-	<p class="legende">Figure 1&nbsp;: Repr<bean:message key="accent1"/>sentation des lignes isothermes entre
-	la ville et sa banlieue</p>
-	
-	<center><img src="../images/megapoli/Image104.jpg"></center><br>
-	<p class="legende">Figure 2&nbsp;: Repr<bean:message key="accent1"/>sentation du d<bean:message key="accent5"/>me de chaleur et
-	des <bean:message key="accent1"/>coulements de l'air sur la ville</p>
-
-	<center><img src="../images/megapoli/Image105.jpg"></center><br>
-	<p class="legende"><i>Figure 3&nbsp;: Repr<bean:message key="accent1"/>sentation de la formation de panache urbain 
-	sous le vent de la ville.</i></p--%>
-
-		
-	</tiles:put>
-</tiles:insert>
-	
Index: ether_megapoli/trunk/web/project/projet.jsp
===================================================================
--- ether_megapoli/trunk/web/project/projet.jsp	(revision 259)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
-<%@ page language="java" contentType="text/html; charset=UTF-8"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
-<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
-
-<tiles:insert page="/resources/templates/template.jsp" flush="true">
-
-	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
-
-	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>
-
-	<tiles:put name="title" type="string">
-		<bean:message key="app.title"/> - <bean:message key="projet"/>
-	</tiles:put>
-
-	<tiles:put name="bodytitle" type="string">
-		<bean:message key="projet.title"/>
-	</tiles:put>
-
-	<tiles:put name="body" type="string">
-		<ul>
-			<li><h3><html:link page="/projet/introduction.jsp">
-				<bean:message key="projet.intro"/>
-			</html:link></h3>
-			</li>
-		</ul>
-		<ul>
-			<li><h3><html:link page="/projet/objectifs.jsp">
-				<bean:message key="projet.objectifs"/>
-			</html:link></h3>
-			</li>
-		</ul>
-		<ul>
-			<li><h3><html:link page="/projet/mesures.jsp">
-				<bean:message key="projet.mesures"/>
-			</html:link></h3>
-			</li>
-		</ul>
-	</tiles:put>
-</tiles:insert>
-	